#ifndef WINJUNK_H
#define WINJUNK_H
#ifdef WIN32
/*
 * Assorted functions needed for Windows port.
 * Stuart Levy, slevy@ncsa.uiuc.edu
 * National Center for Supercomputing Applications,
 * University of Illinois 2001.
 * This file is part of partiview, released under the
 * Illinois Open Source License; see the file LICENSE.partiview for details.
 */

#define  htonl  htonl_hosed_by_win32
#define  ntohl  ntohl_hosed_by_win32
#define  WINDOWS_LEAN_AND_MEAN	1	/* ugh */
#include <windows.h>
#include <malloc.h>
#include <math.h>
#include <float.h>

#undef htonl
#undef ntohl
extern unsigned int htonl(unsigned int v);
#define ntohl(x)  htonl(x)

#ifndef __MINGW32__
  extern int strcasecmp(const char *s1, const char *s2);
  extern int strncasecmp(const char *s1, const char *s2, int maxlen);
#endif

#ifndef HUGE
  #define  HUGE		FLT_MAX
#endif
#ifndef M_LN10
  #define  M_LN10	2.30258509299404568402
#endif
#ifndef M_PI
  #define  M_PI		3.14159265358979323846
#endif

#define finite(x)	_finite(x)

extern void srandom(int seed);
extern int random();

extern double rint(double);

#define sqrtf(_) sqrt(_)
#define sinf(_)  sin(_)
#define cosf(_)  cos(_)
#define tanf(_)  tan(_)
#define expf(_)  exp(_)
#define log10f(_) log10(_)
#define atan2f(_,__) atan2(_,__)
#define hypotf(_,__) hypot(_,__)

#include <io.h>		/* for access() */
#ifndef R_OK
# define R_OK 004	/* No Windows include-file defines this?! */
#endif


#endif /*WIN32*/
#endif /*WINJUNK_H*/
